use 教学成绩管理数据库
select 性别, 
  max(datediff(year, 出生日期, getdate())) 最大年龄,
  min(datediff(year, 出生日期, getdate())) 最小年龄,
  avg(datediff(year, 出生日期, getdate())) 平均年龄,
  sum(datediff(year, 出生日期, getdate())) 年龄总和,
  count(*) as 人数
from 学生信息表
group by 性别

-- select 学号, 性别, 
--   max(datediff(year,出生日期,getdate())) 最大年龄,
--   min(datediff(year,出生日期,getdate())) 最小年龄,
--   avg(datediff(year,出生日期,getdate())) 平均年龄,
--   sum(datediff(year,出生日期,getdate())) 年龄总和,
--   count(*) as 人数
--   from 学生信息表
-- group by 性别
--服务器: 消息 8120，级别 16，状态 1，行 1
--列 '学生信息表.学号' 在选择列表中无效，因为该列既不包含在聚合函数中，也不包含在 GROUP BY 子句中。

